> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Test Case

> Update the item/test case of the dataset with any given fields.

Args:
    dataset_id (int): ID of the dataset.
    test_case_id (int): ID of the item/test case.
    update_test_case_request (UpdateTestCasePublicRequestSchema): Request body containing the fields to update.



## OpenAPI

````yaml post /api/parea/v1/update_test_case/{dataset_id}/{test_case_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /api/parea/v1/update_test_case/{dataset_id}/{test_case_id}:
    post:
      summary: Update Test Case
      description: |-
        Update the item/test case of the dataset with any given fields.

        Args:
            dataset_id (int): ID of the dataset.
            test_case_id (int): ID of the item/test case.
            update_test_case_request (UpdateTestCasePublicRequestSchema): Request body containing the fields to update.
      operationId: >-
        update_test_case_api_parea_v1_update_test_case__dataset_id___test_case_id__post
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: integer
            title: Dataset Id
        - name: test_case_id
          in: path
          required: true
          schema:
            type: integer
            title: Test Case Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTestCasePublicRequestSchema'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - APIKeyHeader: []
        - APIKeyHeader: []
components:
  schemas:
    UpdateTestCasePublicRequestSchema:
      properties:
        inputs:
          anyOf:
            - type: object
            - type: 'null'
          title: Inputs
          description: Key-value pairs for the inputs of that item
        target:
          anyOf:
            - type: string
            - type: 'null'
          title: Target
          description: Target/ground truth value for the item
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
          description: Tags for the item
      type: object
      title: UpdateTestCasePublicRequestSchema
      description: Any set field will be used to update the item in the dataset.
      examples:
        - inputs:
            framework: gin
            language: golang
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-user-id

````